Instalar plugin a pie

A ver si alguien me echa una mano - o un pie :slight_smile:

Necesito instalar el plugin BackgroundRb, pero a pie, porque como estoy
trabajando en Windows la ultima version 0.2.x no me funciona sino que
tuve que ir a una más vieja

Con el siguente comando logré bajar una version funcional

svn co svn://rubyforge.org//var/svn/backgroundrb

Siembargo si doy un

ruby script\plugins list

no me aparece listado dicho plugin, además el init.rb no se está
cargando pues si desde script\console le doy

require ‘workers/mio_worker.rb’

Entonces retorna

NameError: uninitialized constant BackgrounDRb (en init.rb hay un
require ‘backgrondrb.rb’)

Alguien me dice cómo instalar este plugin desde este URL o cómo
configurar este plugin que ya lo tengo en vendors/plugins

Gracias

Lo unico que necesitas es copiar el “plugin” (es decir, el directorio
con todos sus archivos) dentro de “vendor/plugins”.

Deberias tener algo como vendor/plugins/backgroundrb/init.rb y /lib
y demas… el directorio que va a vendor/plugins es el que contiene
init.rb y lib.

Eso es todo.

Otra recomendacion es que hagas un svn export, en lugar de svn co.

Los plugins no requieren de instalacion ni de configuracion ni
nada… solo son subdirectorios de vendor/plugins con un archivo
init.rb y un directorio lib, no hay mas ciencia.

Sebastian D. wrote:

Lo unico que necesitas es copiar el “plugin” (es decir, el directorio
con todos sus archivos) dentro de “vendor/plugins”.

Deberias tener algo como vendor/plugins/backgroundrb/init.rb y /lib y
demas… el directorio que va a vendor/plugins es el que contiene
init.rb y lib.

Eso es todo.

Así lo tenía desde el principio

Otra recomendacion es que hagas un svn export, en lugar de svn co.

Me deja el directorio más limpio sin los carpetas .svn

Los plugins no requieren de instalacion ni de configuracion ni nada…
solo son subdirectorios de vendor/plugins con un archivo init.rb y un
directorio lib, no hay mas ciencia.

Me temo que si necesita algo más, pues el pluigin aún no aparece listado
en script/plugins list y sigue dándome el error de que falta el require
‘backgroundrb’

On Feb 2, 2007, at 9:53 PM, Esteban wrote:

A ver si alguien me echa una mano - o un pie :slight_smile:

Necesito instalar el plugin BackgroundRb, pero a pie, porque como
estoy trabajando en Windows la ultima version 0.2.x no me funciona
sino que tuve que ir a una más vieja
Con el siguente comando logré bajar una version funcional > svn co
svn://rubyforge.org//var/svn/backgroundrb

script/plugin sabe usar svn:

script/plugin install svn://rubyforge.org//var/svn/backgroundrb

Esa seria la manera canonica de hacerlo, en el sentido que script/
plugin es el gestor de plugins.

– fxn

Gracias

On Feb 2, 2007, at 10:00 PM, Sebastian D. wrote:

Los plugins no requieren de instalacion ni de configuracion ni
nada… solo son subdirectorios de vendor/plugins con un archivo
init.rb y un directorio lib, no hay mas ciencia.

Yep, pero en este caso parece que hay que hacer alguna cosilla, hay
una seccion con documentacion sobre la instalacion en

http://backgroundrb.rubyforge.org/

Parece (no lo he hecho), que necesita que bajes a su directorio raiz
y ejecutes

rake backgroundrb:setup

– fxn

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs